import React from 'react';
import PropTypes from 'prop-types';
import { List } from 'antd';
import PTUtil from '../../utils/pt-util';
import './notices.less';

export default class Notices extends React.Component {
  static propTypes = {
    notices: PropTypes.arrayOf(PropTypes.string).isRequired,
    className: PropTypes.string,
  };
  static defaultProps ={
    className: '',
  };
  shouldComponentUpdate(nextProps) {
    const prev = {
      notices: this.props.notices,
      className: this.props.className,
    };
    const next = {
      notices: nextProps.notices,
      className: nextProps.className,
    };
    return !PTUtil.is(prev, next);
  }
  render() {
    const { notices, className } = this.props;
    return (
      <div className={`home-notice-wrapper ${className}`}>
        <h3>重要提示</h3>
        <List
          className="home-notice-list"
          bordered
          dataSource={notices}
          renderItem={notice => (<List.Item>{notice}</List.Item>)}
        />
      </div>
    );
  }
}
