import React from 'react';
import PropTypes from 'prop-types';
import { Spin } from 'antd';
import PTUtil from '../../utils/pt-util';
import './technology.less';

export default class Technology extends React.Component {
  static propTypes = {
    technology: PropTypes.string.isRequired,
    className: PropTypes.string,
    loading: PropTypes.bool,
  };
  static defaultProps ={
    className: '',
    loading: false,
  };
  shouldComponentUpdate(nextProps) {
    const prev = {
      technology: this.props.technology,
      className: this.props.className,
      loading: this.props.loading,
    };
    const next = {
      technology: nextProps.technology,
      className: nextProps.className,
      loading: nextProps.loading,
    };
    return !PTUtil.is(prev, next);
  }
  render() {
    const { technology, className, loading } = this.props;
    return (
      <div className={`home-technology-wrapper ${className}`}>
        <Spin spinning={loading}>
          {
            technology ? <div className="home-technology-description"><b>技术描述</b>：{ technology }</div> : null
          }
        </Spin>
      </div>
    );
  }
}
